shinyUI(bootstrapPage(

  selectInput(inputId = "distribution_name",
              label = "`z:",
              choices = c('Kz', 'JC敪z', '-----', '|A\z', '񍀕z'),
              selected = 'Kz'),

  plotOutput(outputId = "main_plot", height = "300px"),

  conditionalPanel(condition = "input.distribution_name == 'Kz'",
                   sliderInput(inputId = "mean",
                               label = ":",
                               min = -5, max = 5, value = 0, step = 1),
                   sliderInput(inputId = "sd",
                               label = "U:",
                               min = 0.1, max = 3, value = 1, step = 0.1)
  ),
  conditionalPanel(condition = "input.distribution_name == 'JC敪z'",
                   sliderInput(inputId = "df2",
                               label = "Rx",
                               min = 1, max = 30, value = 2, step = 1)
  ),
  conditionalPanel(condition = "input.distribution_name == '|A\z'",
                   sliderInput(inputId = "df3",
                               label = "",
                               min = 1, max = 15, value = 2, step = 1)
  ),
  conditionalPanel(condition = "input.distribution_name == '񍀕z'",
                   sliderInput(inputId = "size",
                               label = "s:",
                               min = 1, max = 10, value = 2, step = 1),
                   sliderInput(inputId = "prob",
                               label = "m:",
                               min = 0.1, max = 1.0, value = 0.5, step = 0.1)
  )
))